> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Chat Seen

> Update the member's last seen time for the chat, optionally up to one message.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /chats/{chat_id}/seen
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /chats/{chat_id}/seen:
    post:
      tags:
        - Chats
      summary: Mark Chat Seen
      description: >-
        Update the member's last seen time for the chat, optionally up to one
        message.
      parameters:
        - schema:
            type: string
          required: true
          description: Chat ID
          name: chat_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkChatSeenSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MarkChatSeenSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: 'null'
components:
  schemas:
    MarkChatSeenSchema:
      type: object
      properties:
        message_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````